from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XRegressionCurveCalculator(XInterface, Protocol):
    def setRegressionProperties(self, degree: int, forceIntercept: bool, interceptValue: float, period: int, movingType: int) -> None: ...
    def recalculateRegression(self, aXValues: sequence< double >, aYValues: sequence< double >) -> None: ...
    def getCorrelationCoefficient(self) -> float: ...
    def getRepresentation(self) -> str: ...
    def getFormattedRepresentation(self, xNumFmtSupplier: XNumberFormatsSupplier, nNumberFormatKey: int, nFormulaLength: int) -> str: ...
    def setXYNames(self, aXName: str, aYName: str) -> None: ...
